cURL
curl "https://api.phrase.com/v2/projects/:project_id/members" \
-u USERNAME_OR_ACCESS_TOKENphrase members by_project \
--project_id <project_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/members"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "acbdacbdacbdacbdacbdacbd",
"username": "myname",
"name": "My Name",
"position": "Lead Developer",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-09T12:56:21Z"
}
]Members
List project members
Get all members active in the project. Access token scope must include read.
GET
/
projects
/
{project_id}
/
members
cURL
curl "https://api.phrase.com/v2/projects/:project_id/members" \
-u USERNAME_OR_ACCESS_TOKENphrase members by_project \
--project_id <project_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/members"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "acbdacbdacbdacbdacbdacbd",
"username": "myname",
"name": "My Name",
"position": "Lead Developer",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-09T12:56:21Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Query Parameters
Specify a query to search for members by name or email (including wildcards).
Filter members to those assigned to the job identified by this id.
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Was this page helpful?